×

Discussion Board

Results 1 to 10 of 10
  1. #1
    Registered User
    Join Date
    Jul 2009
    Posts
    9

    Unhappy PyS60 for Samsung Omnia i8910 - S60 5th edition

    Hello,

    I am trying to install PyS60 on my Samsung i8910 (S60 5th edition).
    There is a signed version: PyS60 v1.04(5) on the Samsung website, but it is "incompatible" with this model.
    When I try to install any other version of PyS60, I get a certificate error message.

    Do you know any way of installing PyS60 on that phone?
    Best regards,

  2. #2
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: PyS60 for Samsung Omnia i8910 - S60 5th edition

    Quote Originally Posted by cjessy View Post
    Hello,

    I am trying to install PyS60 on my Samsung i8910 (S60 5th edition).
    There is a signed version: PyS60 v1.04(5) on the Samsung website, but it is "incompatible" with this model.
    When I try to install any other version of PyS60, I get a certificate error message.

    Do you know any way of installing PyS60 on that phone?
    Best regards,
    hello cjessy

    welcome to forum nokia dibo

    you cannot install any other version directly as they need to be signed with the samsung itself. And AFAIK there is no other method for that.

    Regards
    Gaba88

  3. #3
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: PyS60 for Samsung Omnia i8910 - S60 5th edition

    Quote Originally Posted by cjessy View Post
    I am trying to install PyS60 on my Samsung i8910 (S60 5th edition).
    There is a signed version: PyS60 v1.04(5) on the Samsung website, but it is "incompatible" with this model.
    Well, are you able to install it anyway? I get lots of these "incompatible" notes, but apps still get installed and even run. Please give it a try, maybe you get lucky?

    Otherwise, please consider making a request at (possible) Samsung developer forum for a more compatible version.

    Cheers,

    --jouni

  4. #4
    Registered User
    Join Date
    Jul 2009
    Posts
    9

    Re: PyS60 for Samsung Omnia i8910 - S60 5th edition

    Hi Jouni,

    Well... I'm able to install it anyway, but then I cannot run any Python script, or find an icon for PyS60 or even find the application in the file manager. I guess this version is just too out of date for that phone/OS.

    I have written on the Samsung innovator website, but no reply so far...

    Any idea on how to get it to run?

    Many thanks,
    Jessica

  5. #5
    Regular Contributor
    Join Date
    Sep 2008
    Location
    London, UK
    Posts
    176

    Re: PyS60 for Samsung Omnia i8910 - S60 5th edition

    Quote Originally Posted by cjessy View Post
    Hi Jouni,

    Well... I'm able to install it anyway, but then I cannot run any Python script, or find an icon for PyS60 or even find the application in the file manager. I guess this version is just too out of date for that phone/OS.

    I have written on the Samsung innovator website, but no reply so far...

    Any idea on how to get it to run?

    Many thanks,
    Jessica
    i dont have a samsung, so I dont know how things run on that and maybe a silly suggestion, but hav you tried installing the 1.9.x versions? and you need to install the Python Runtime, AND the PythonScriptShell (try unsigned version and sign via symbiansigned) if you want to test things on the mobile device.
    The86Hitman
    PyS60 1.9.7 on E71
    http://www.drhtailor.com/pys60

  6. #6
    Registered User
    Join Date
    Jul 2009
    Posts
    9

    Re: PyS60 for Samsung Omnia i8910 - S60 5th edition

    Quote Originally Posted by the86hitman View Post
    hav you tried installing the 1.9.x versions? and you need to install the Python Runtime, AND the PythonScriptShell (try unsigned version and sign via symbiansigned) if you want to test things on the mobile device.
    For the earliest version, there is no ScriptShell signed by Samsung that I could install.

    Otherwise, I have tried the latest version 1.9.7.
    I cannot install the runtime as I get the Certificate Error message.
    When I try to sign it through Symbian Sign I get: "The .sis file contains capabilities that are not permitted for Open Signed (Online). FAILURE: Submitted .sis file uses a UID that is not allocated to the account holder matching this email address."

    For the PythonScriptShell 1.9.7, there is an unsigned version, that I managed to sign myself. But when I try to install it, I get: Component "Python Runtime" missing. Continue Anyway?
    Yes --> then it tries to install: PyS60ExampleScripts --> Unable to install a protected application from untrusted supplier.

    My guess is that either I manage to get a fully unsigned PyS60 runtime and script. Or I need to find a Samsung signed one. And of course, no reply from Samsung innovator website...

    Any other ideas?

    Cheers,
    Jessica

  7. #7
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: PyS60 for Samsung Omnia i8910 - S60 5th edition

    Quote Originally Posted by the86hitman View Post
    i dont have a samsung, so I dont know how things run on that and maybe a silly suggestion, but hav you tried installing the 1.9.x versions? and you need to install the Python Runtime, AND the PythonScriptShell (try unsigned version and sign via symbiansigned) if you want to test things on the mobile device.
    Also don't have Samsung device, but the86hitman gave pretty good tips! Just install latest version, sign Python Shell Script by yourself and see what happens Btw found this non-Nokia page via google:

    http://innovator.samsungmobile.com/o...001/1001s.html

    Cheers,

    --jouni hoping PyS60 would work on as many devices as possible

  8. #8
    Registered User
    Join Date
    Jul 2009
    Posts
    9

    Re: PyS60 for Samsung Omnia i8910 - S60 5th edition

    Hi,

    I managed to find unsigned files for Python 1.9.2, and I managed to install those, despite the uncompatibility error message.

    Thanks very much for your help,

    Jessica

  9. #9
    Registered User
    Join Date
    Dec 2009
    Posts
    1

    Re: PyS60 for Samsung Omnia i8910 - S60 5th edition

    Hi there, I'm new here!
    I have the same problem. Tried to use the latest version (1.9.7), unable to complete the installation with both the signed (by myself, with my cert an key) and the unsigned. I've read that you had used the 1.9.2, resolving the problem. Using this version I was able to complete the install process (with the signed one), but since I had started installing some python apps, an error told each time that I haven't the runtime component (but sure, I have it installed).
    What I am doing wrong?
    How to solve, mates?
    Thanks...

  10. #10
    Registered User
    Join Date
    Dec 2008
    Posts
    35

    Re: PyS60 for Samsung Omnia i8910 - S60 5th edition


Similar Threads

  1. S60 5th edition applications in 3rd edition phones
    By radhamanogar in forum Symbian
    Replies: 4
    Last Post: 2012-08-08, 06:47
  2. Replies: 1
    Last Post: 2010-04-21, 11:30
  3. Does Jarpa work on a S60 5th edition device
    By MForceOne in forum [Archived] Flash Lite on Nokia Devices
    Replies: 2
    Last Post: 2009-07-03, 02:58
  4. edit control problem in S60 5th edition
    By gangadhar.bonda in forum Symbian User Interface
    Replies: 1
    Last Post: 2009-06-09, 11:31
  5. s60 5th edition MTM problem
    By shafali gupta in forum Symbian User Interface
    Replies: 1
    Last Post: 2009-01-14, 13:26

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×